## org.codehaus.groovy.vmplugin
Interface VMPlugin

All Known Implementing Classes:
  Java4, Java5

    public interface VMPlugin

Interface to access VM version based actions. This interface is for internal use only!

Author:
  Jochen Theodorou

Method Summary
`void` `configureAnnotation(AnnotationNode an)`
`void` `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` `getPluginDefaultGroovyMethods()`
`void` `setAdditionalClassInformation(ClassNode c)`

Method Detail

### setAdditionalClassInformation

    void setAdditionalClassInformation(ClassNode c)

### getPluginDefaultGroovyMethods

    Class[] getPluginDefaultGroovyMethods()

### configureAnnotation

    void configureAnnotation(AnnotationNode an)

### configureClassNode

    void configureClassNode(CompileUnit compileUnit,
                            ClassNode classNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.